Subject: Re: [PATCH v14 0/2] Add jpm.

From: Omar Bassam <[email-masked]>
Date: Tue, 07 Jan 2025 09:15:41 +0200

Suhail Singh <[email-masked]> writes:

> "jgart" <[email-masked]> writes:
>
>> Do you intend to contribute a janet-build-system after this?
>
> Not being a janet user, likely not any time soon.  I wasn't even
> intending to contribute jpm, I was simply helping review Omar's
> submission.  Omar had, at one point however, mentioned a
> janet-build-system [1].
>

Yes, Thanks Suhail, your reviews helped me alot. This was my first
contribution to guix and I learned alot from it.

I would like to contribute more to guix and would like to take building
a janet-build-system as a start. I would appreciate any guidance or
recommendations on where to start to learn about building a custom build
system.

>> In that case, then you can document any special instructions for using
>> Guix with janet.
>
> I do agree that that would be helpful.
>

I am not sure where should such document be added?

> [1]: <https://issues.guix.gnu.org/72925#12>

Many Thanks to all,
Omar Bassam